<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <bus-market-coupons-used-list :couponsId="couponsId" ref="modalCouponsUsedListModal"></bus-market-coupons-used-list>
  </j-modal>
</template>

<script>
  import BusMarketCouponsUsedList from "./BusMarketCouponsUsedList";
  export default {
    name: 'BusMarketCouponsUsedListModal',
    components: {
      BusMarketCouponsUsedList
    },
    props: {
      couponsId: {
        type: String,
        default: ''
      }
    },
    data () {
      return {
        title:'',
        width:1200,
        visible: false,
        disableSubmit: false,
        // eventId:'',
      }
    },
    methods: {
      add () {
        this.visible=true

      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.modalCouponsUsedListModal.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.modalCouponsUsedListModal.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>